%define module rsa

Name:           python-%{module}
Version:        3.4.1
Release:        %mkrel 1
Summary:        Pure-Python RSA implementation
License:        ASLv2
Group:          Development/Python
URL:            http://stuvel.eu/rsa 
Source0:        https://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildArch:      noarch

%description
Pure-Python RSA implementation.

%package -n python3-%module
Summary:        Pure-Python RSA implementation
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%module
Pure-Python RSA implementation.

%files
%doc README.md
%{_bindir}/pyrsa-*
%{python2_sitelib}/%{module}*

%files -n python3-%{module}
%doc README.md
%{_bindir}/python3-pyrsa*
%{python3_sitelib}/%{module}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

cp -a . %{py3dir} 

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
  for B in %{buildroot}%{_bindir}/pyrsa-*
  do mv $B $(echo $B |sed 's/pyrsa-/python3-pyrsa/'); done
popd

%py2_install



%changelog
* Sat Mar 26 2016 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 995651
- new version: 3.4.1

* Mon Jan 18 2016 daviddavid <daviddavid> 3.3-1.mga6
+ Revision: 925694
- new version: 3.3
- remove merged upstream patch

* Tue Jan 05 2016 daviddavid <daviddavid> 3.2.3-2.mga6
+ Revision: 919884
- add upstream patch to fix CVE-2016-1494 (mga#17451)
  * https://bitbucket.org/FiloSottile/python-rsa/commits/0cbcc529926afd61c6df4f50cfc29971beafd2c2/raw/

* Wed Dec 16 2015 daviddavid <daviddavid> 3.2.3-1.mga6
+ Revision: 911037
- new version: 3.2.3

* Sat Oct 10 2015 daviddavid <daviddavid> 3.2-1.mga6
+ Revision: 888659
- new version: 3.2 + rebuild for python 3.5
- use new python macros
- add python3 executables
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 3.1.4-6.mga5
+ Revision: 742017
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.1.4-5.mga5
+ Revision: 729675
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.1.4-4.mga5
+ Revision: 688313
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.1.4-3.mga5
+ Revision: 628995
- Rebuild for new Python

* Tue Apr 01 2014 philippem <philippem> 3.1.4-2.mga5
+ Revision: 611225
- add Python3 modules

* Tue Apr 01 2014 kharec <kharec> 3.1.4-1.mga5
+ Revision: 611033
- version 3.1.4

* Tue Oct 22 2013 umeabot <umeabot> 3.1.1-3.mga4
+ Revision: 544142
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.1.1-2.mga4
+ Revision: 499318
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 3.1.1-1.mga4
+ Revision: 462079
- imported package python-rsa

